# -*- coding: utf-8 -*-

from tuikit.widget import Widget


class Label(Widget):
    def __init__(self, label=''):
        Widget.__init__(self, len(label), 1)

        self.label = label

    def _handle_draw(self, screen, x, y):
        super()._handle_draw(screen, x, y)
        screen.pushcolor('normal')
        screen.puts(x, y, self.label)
        screen.popcolor()

